# -*- coding: utf-8 -*-
"""
Modulo principal para ejecutar el modelo de predespacho regional
"""

import logging
import sys

from presdespacho import setmodel

logger = logging.getLogger('spr.run')


def main(file, periodo, full_day=True):
    """Ejecuta la Simulación del Predespacho Regional."""
    try:
        # Check if solver 'ipopt' is on path
        logger.info("Inicio de la ejecucion del modelo de predespacho")
        setmodel(file, periodo, full_day)

    except Exception as e:
        logger.error(e)
        return


if __name__ == "__main__":
    ch = logging.StreamHandler()

    logger.addHandler(ch)
    if len(sys.argv) < 2:
        print("Se debe incluir un archivo")

    else:
        main(sys.argv[1])
